@echo off

net session >nul 2>&1
if %errorlevel% neq 0 (
  echo Error: This install requires administrator priviledge. 
  pause
  goto end
)

pnputil.exe -a "%~dp0\Ext\PowerMgrExtension.inf" /install
pnputil.exe -a "%~dp0\Comp\PowerMgr.inf" /install

:end